Package weka.core.pmml.jaxbbindings

# Class SimpleRule

java.lang.Object
weka.core.pmml.jaxbbindings.SimpleRule

public class SimpleRule extends Object

Java class for SimpleRule element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="SimpleRule">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <group ref="{http://www.dmg.org/PMML-4_1}PREDICATE"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ScoreDistribution" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="confidence" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="nbCorrect" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="recordCount" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="score" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="weight" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompoundPredicate`
  `getCompoundPredicate()`
  Gets the value of the compoundPredicate property.
  `Double`
  `getConfidence()`
  Gets the value of the confidence property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `False`
  `getFalse()`
  Gets the value of the false property.
  `String`
  `getId()`
  Gets the value of the id property.
  `Double`
  `getNbCorrect()`
  Gets the value of the nbCorrect property.
  `Double`
  `getRecordCount()`
  Gets the value of the recordCount property.
  `String`
  `getScore()`
  Gets the value of the score property.
  `List<ScoreDistribution>`
  `getScoreDistribution()`
  Gets the value of the scoreDistribution property.
  `SimplePredicate`
  `getSimplePredicate()`
  Gets the value of the simplePredicate property.
  `SimpleSetPredicate`
  `getSimpleSetPredicate()`
  Gets the value of the simpleSetPredicate property.
  `True`
  `getTrue()`
  Gets the value of the true property.
  `Double`
  `getWeight()`
  Gets the value of the weight property.
  `void`
  `setCompoundPredicate(CompoundPredicate value)`
  Sets the value of the compoundPredicate property.
  `void`
  `setConfidence(Double value)`
  Sets the value of the confidence property.
  `void`
  `setFalse(False value)`
  Sets the value of the false property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setNbCorrect(Double value)`
  Sets the value of the nbCorrect property.
  `void`
  `setRecordCount(Double value)`
  Sets the value of the recordCount property.
  `void`
  `setScore(String value)`
  Sets the value of the score property.
  `void`
  `setSimplePredicate(SimplePredicate value)`
  Sets the value of the simplePredicate property.
  `void`
  `setSimpleSetPredicate(SimpleSetPredicate value)`
  Sets the value of the simpleSetPredicate property.
  `void`
  `setTrue(True value)`
  Sets the value of the true property.
  `void`
  `setWeight(Double value)`
  Sets the value of the weight property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleRule

    public SimpleRule()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getSimplePredicate

    public SimplePredicate getSimplePredicate()
    Gets the value of the simplePredicate property.
    Returns:
      possible object is `SimplePredicate`

  - ### setSimplePredicate

    public void setSimplePredicate(SimplePredicate value)
    Sets the value of the simplePredicate property.
    Parameters:
      `value` - allowed object is `SimplePredicate`

  - ### getCompoundPredicate

    public CompoundPredicate getCompoundPredicate()
    Gets the value of the compoundPredicate property.
    Returns:
      possible object is `CompoundPredicate`

  - ### setCompoundPredicate

    public void setCompoundPredicate(CompoundPredicate value)
    Sets the value of the compoundPredicate property.
    Parameters:
      `value` - allowed object is `CompoundPredicate`

  - ### getSimpleSetPredicate

    public SimpleSetPredicate getSimpleSetPredicate()
    Gets the value of the simpleSetPredicate property.
    Returns:
      possible object is `SimpleSetPredicate`

  - ### setSimpleSetPredicate

    public void setSimpleSetPredicate(SimpleSetPredicate value)
    Sets the value of the simpleSetPredicate property.
    Parameters:
      `value` - allowed object is `SimpleSetPredicate`

  - ### getTrue

    public True getTrue()
    Gets the value of the true property.
    Returns:
      possible object is `True`

  - ### setTrue

    public void setTrue(True value)
    Sets the value of the true property.
    Parameters:
      `value` - allowed object is `True`

  - ### getFalse

    public False getFalse()
    Gets the value of the false property.
    Returns:
      possible object is `False`

  - ### setFalse

    public void setFalse(False value)
    Sets the value of the false property.
    Parameters:
      `value` - allowed object is `False`

  - ### getScoreDistribution

    public List<ScoreDistribution> getScoreDistribution()
    Gets the value of the scoreDistribution property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the scoreDistribution property.

    For example, to add a new item, do as follows:

            getScoreDistribution().add(newItem);

    Objects of the following type(s) are allowed in the list `ScoreDistribution`

  - ### getConfidence

    public Double getConfidence()
    Gets the value of the confidence property.
    Returns:
      possible object is `Double`

  - ### setConfidence

    public void setConfidence(Double value)
    Sets the value of the confidence property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNbCorrect

    public Double getNbCorrect()
    Gets the value of the nbCorrect property.
    Returns:
      possible object is `Double`

  - ### setNbCorrect

    public void setNbCorrect(Double value)
    Sets the value of the nbCorrect property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getRecordCount

    public Double getRecordCount()
    Gets the value of the recordCount property.
    Returns:
      possible object is `Double`

  - ### setRecordCount

    public void setRecordCount(Double value)
    Sets the value of the recordCount property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getScore

    public String getScore()
    Gets the value of the score property.
    Returns:
      possible object is `String`

  - ### setScore

    public void setScore(String value)
    Sets the value of the score property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWeight

    public Double getWeight()
    Gets the value of the weight property.
    Returns:
      possible object is `Double`

  - ### setWeight

    public void setWeight(Double value)
    Sets the value of the weight property.
    Parameters:
      `value` - allowed object is `Double`